package utils

import (
	"github.com/astaxie/beego"
)

var (
	RunMode        string //运行模式
	MYSQL_URL      string //数据库连接
	MYSQL_URL_RDDP string //数据库连接
	MYSQL_URL_EDB  string
)

var (
	STATIC_DIR string
)

//微信配置信息
var (
	WxId                string //微信原始ID
	WxAppId             string
	WxAppSecret         string
)


func init() {
	RunMode = beego.AppConfig.String("run_mode")
	config, err := beego.AppConfig.GetSection(RunMode)
	if err != nil {
		panic("配置文件读取错误 " + err.Error())
	}
	beego.Info(RunMode + " 模式")
	MYSQL_URL = config["mysql_url"]
	MYSQL_URL_RDDP = config["mysql_url_rddp"]
	MYSQL_URL_EDB = config["mysql_url_edb"]

	if RunMode == "release" {
		WxAppId = "wxcc32b61f96720d2f"
		WxAppSecret = "06894933fafb24dafead7eaae09c08e0"
		WxId = "gh_a9d3744e1072"

		STATIC_DIR = "/home/static/imgs/"
	} else {
		WxAppId = "wxcc32b61f96720d2f"
		WxAppSecret = "06894933fafb24dafead7eaae09c08e0"
		WxId = "gh_a9d3744e1072"
		STATIC_DIR = "/home/static/imgs/"
	}
}

//http://webapi.brilliantstart.cn/api/
//http://webapi.brilliantstart.cn/swagger/
//http://139.196.122.219:8603/swagger/
